Friday, 17 July 2015

Using JRE 1.8 for the Liberty Buildpack in Bluemix

The latest Liberty biuldpack update now adds the ability to switch to JRE 1.8 runtime. Given I am now switching to JDK 1.8 for all my projects this has come in very handy, and of course Spring Boot favors JDK 1.8 as well. The default is still JRE 1.7 so to switch to 1.8 set an ENV variable as follows in your manifest.yml as shown below.


- name: pas-myapp
  memory: 512M
  instances: 1
  host: pas-myapp
  path: ./target/myapp-1.0-SNAPSHOT.jar
   JBP_CONFIG_IBMJDK: "version: 1.8.+"

More Information